function r(l, u, i) {
  let n = 0, o = 0;
  for (let t = 0; t < i.length; t++) {
    const e = i[t];
    if (e <= 0)
      continue;
    const h = t > 0 ? e + u : e, c = n + h;
    if (c > l)
      break;
    n = c, o++;
  }
  return o;
}
export {
  r as calculateVisibleChipsCount
};
